#
# spec file for package rubygem-red-datasets
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-red-datasets
Version:        0.1.7
Release:        1.5
%define mod_name red-datasets
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/red-data-tools/red-datasets
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Red Datasets provides classes that provide common datasets such as
License:        MIT

%description
You can use datasets easily because you can access each dataset with multiple
ways such as `#each` and Apache Arrow Record Batch.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 0.1.7, see bundled news.md
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.1.5
  see installed news.md
  [#]# 0.1.5 - 2022-09-22
  [#]## Improvements
  * `Datasets::PMJTDatasetList`: Added.
    [GitHub#107][Patch by okadak]
  * `Datasets::AozoraBunko`: Added.
    [GitHub#108][Patch by Masa]
  * Added how to develop to README
    [GitHub#117][Patch by abcdefg-1234567]
  * `Datasets::FuelEconomy`: Added.
    [GitHub#114][Patch by Benson Muite]
  * `Datasets::Geolonia`: Added.
    [GitHub#118][Patch by abcdefg-1234567]
  * `Datasets::Diamonds`: Added.
    [GitHub#110][Patch by Benson Muite]
  * `Datasets::ITACorpus`: Added.
    [GitHub#119][Patch by abcdefg-1234567]
  * `Datasets::KuzushijiMNIST`: Added.
    [GitHub#125][Patch by abcdefg-1234567]
  * Updated list of datasets in README.
    [GitHub#129][Patch by Benson Muite]
  * `Datasets::CaliforniaHousing`: Added.
    [GitHub#123][Patch by Benson Muite]
  * Added support for Ruby 3.1.
    [GitHub#130][Patch by Benson Muite]
  * `Datasets::AFINN`: Added.
    [GitHub#120][Patch by Benson Muite]
  * `Datasets::LivedoorNews`: Added.
    [GitHub#127][Patch by abcdefg-1234567]
  * `Datasets::SeabornDataList`: Added.
    [GitHub#134][Patch by Hirokazu SUZUKI]
  * `Datasets::WikipediaKyotoJapaneseEnglish`: Added.
    [GitHub#135][Patch by abcdefg-1234567]
  * Renamed Rdatasets to Rdataset.
    [GitHub#148][Patch by Hirokazu SUZUKI]
  * Removed support for Ruby 2.6.
  * Add missing license information.
  * `Datasets::QuoraDuplicateQuestionPair`: Added.
    [GitHub#149][Patch by otegami]
  [#]## Fixes
  * Fixed key from nil to :index in `Datasets::SeabornData`.
    [GitHub#133][Patch by Hirokazu SUZUKI]
  * Fixed `Datasets::Rdatasets#each` to change "NA" to nil.
    [GitHub#139][Patch by Hirokazu SUZUKI]
  * Fix `Datasets::Rdatasets#each` with mixed data of numeric and string.
    [GitHub#140][Patch by Hirokazu SUZUKI]
  [#]## Thanks
  * okadak
  * Masa
  * Benson Muite
  * abcdefg-1234567
  * Hirokazu SUZUKI
  * Sutou Kouhei
  * otegami
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.1.4
  see installed news.md
  [#]# 0.1.4 - 2021-07-13
  [#]## Improvements
  * `Datasets::SudachiSynonymDictionary`: Stopped depending on `LANG`.
  [#]# 0.1.3 - 2021-07-09
  [#]## Improvements
  * `Datasets::SeabornData`: Added.
  * `Datasets::SudachiSynonymDictionary`: Added.
* Fri Jul  2 2021 Stephan Kulow <coolo@suse.com>
- initial package (version 0.1.2)
